starpu-tools_1.1.4+dfsg-3build2_i386.deb


Advertisement

Description

starpu-tools - Task scheduler for heterogeneous multicore machines - tools

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe i386
Package name: starpu-tools
Package version: 1.1.4+dfsg
Package release: 3build2
Package architecture: i386
Package type: deb
Installed size: 119 B
Download size: 26.43 KB
Official Mirror: archive.ubuntu.com
StarPU is a runtime system that offers support for heterogeneous multicore machines. While many efforts are devoted to design efficient computation kernels for those architectures (e.g. to implement BLAS kernels on GPUs or on Cell's SPUs), StarPU not only takes care of offloading such kernels (and implementing data coherency across the machine), but it also makes sure the kernels are executed as efficiently as possible. This package contains StarPU tools.

Alternatives

Conflicts

  • starpu-contrib-tools

    Download

    Source package: starpu

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install starpu-tools deb package:
      # sudo apt-get install starpu-tools

    Files

    • /usr/bin/starpu_calibrate_bus
    • /usr/bin/starpu_codelet_histo_profile
    • /usr/bin/starpu_codelet_profile
    • /usr/bin/starpu_lp2paje
    • /usr/bin/starpu_machine_display
    • /usr/bin/starpu_paje_draw_histogram
    • /usr/bin/starpu_paje_state_stats
    • /usr/bin/starpu_perfmodel_display
    • /usr/bin/starpu_perfmodel_plot
    • /usr/bin/starpu_workers_activity
    • /usr/share/doc/starpu-tools/changelog.Debian.gz
    • /usr/share/doc/starpu-tools/copyright
    • /usr/share/man/man1/starpu_calibrate_bus.1.gz
    • /usr/share/man/man1/starpu_codelet_histo_profile.1.gz
    • /usr/share/man/man1/starpu_codelet_profile.1.gz
    • /usr/share/man/man1/starpu_lp2paje.1.gz
    • /usr/share/man/man1/starpu_machine_display.1.gz
    • /usr/share/man/man1/starpu_paje_draw_histogram.1.gz
    • /usr/share/man/man1/starpu_paje_state_stats.1.gz
    • /usr/share/man/man1/starpu_perfmodel_display.1.gz
    • /usr/share/man/man1/starpu_perfmodel_plot.1.gz
    • /usr/share/man/man1/starpu_workers_activity.1.gz
    • /usr/share/starpu/gdbinit

    Changelog

    2016-02-06 - Matthias Klose <doko@ubuntu.com> starpu (1.1.4+dfsg-3build2) xenial; urgency=medium * No-change rebuild for openmpi on s390x.

    2016-02-01 - Matthias Klose <doko@ubuntu.com> starpu (1.1.4+dfsg-3build1) xenial; urgency=medium * No-change rebuild for openmpi transition.

    2015-12-06 - Samuel Thibault <sthibault@debian.org> starpu (1.1.4+dfsg-3) unstable; urgency=medium * compat: Bump to 9. * control: - Bump debhelper build-dependency accordingly. - Drop hardening-wrapper depdency. - Add opencl-dev build-dep alternative to ocl-icd-opencl-dev. - Enable numa and valgrind support on mips64* (closes: Bug#806711). - Add doxygen and doxygen-latex build dependencies. * rules: - Drop use of hardening-wrapper. - Disable gcc version dependency, which was only needed for the plugin. * *.dirs: Drop, useless. * *.install: Update to multiarch libdir path. * starpu-examples.install: Also install OpenCL programs. * starpu-contrib-examples.install: Make a symlink to starpu-examples.install. * docs: Drop manual installation of PDF documentation, now automatically done.

    2015-08-25 - Samuel Thibault <sthibault@debian.org> starpu (1.1.4+dfsg-2) unstable; urgency=medium * Bump gcc versions according to newer nvcc support (closes: Bug#796844).

    2015-05-11 - Samuel Thibault <sthibault@debian.org> starpu (1.1.4+dfsg-1) unstable; urgency=medium * New upstream release - Rename libstarpu-1.1-7 into libstarpu-1.1-9 and libstarpumpi-1.1-2 into libstarpumpi-1.1-3 according to soname bump. No rdeps. * Enable libnuma-dev and valgrind on arm64 and ppc64el too. * control: Add missing dependency on ocl-icd-opencl-dev for libstarpu-dev * rules: - Prevent the testsuite from running in parallel. - Pass --enable-quick-check to configure.

    2014-11-07 - Samuel Thibault <sthibault@debian.org> starpu (1.1.3+dfsg-3) unstable; urgency=medium * control: Make libsocl-1.1-1 and libsocl-contrib-1.1-1 conflict/provide each other (Closes: Bug#767557). * Bump Standards-Version to 3.9.6 (no changes).

    2014-09-15 - Samuel Thibault <sthibault@debian.org> starpu (1.1.3+dfsg-2) unstable; urgency=medium * control: Make libstarpu-1.1-7 Replace libstarpu-1.1-6: the soname bump actually happened earlier :/ (Closes: Bug#761483).

    2014-09-12 - Samuel Thibault <sthibault@debian.org> starpu (1.1.3+dfsg-1) unstable; urgency=medium * New upstream release. * Rename libstarpu-1.1-6 package into libstarpu-1.1-7 due to soname bump.

    2014-06-19 - Samuel Thibault <sthibault@debian.org> starpu (1.1.2+dfsg-2) unstable; urgency=medium * Make starpu-contrib use gfortran 4.8 too (Closes: Bug#752030).

    2014-06-18 - Samuel Thibault <sthibault@debian.org> starpu (1.1.2+dfsg-1) unstable; urgency=medium * New upstream release. * control: Make libstarpu-dev depend on opencl-headers, since we now build with OpenCL enabled (Closes: Bug#748101). * control, rules: Drop libcuda1 build-dependency, it is brought through nvidia-cuda-toolkit anyway (Closes: Bug#749430). * rules: Default gcc version is now 4.9, nvcc can use 4.8. * rules: Make mpicc use our selected version of gcc.

    Advertisement
    Advertisement